FROM python:3.11

WORKDIR /app

ADD pyproject.toml ./

# Poetry
ENV PATH="${PATH}:/root/.poetry/bin"

RUN : \
&& pip install poetry \
&& POETRY_VIRTUALENVS_CREATE=false poetry install \
&& poetry install \
&& :


# To COPY the remote files at working directory in container
COPY ./app /app/app

CMD ["python3", "app/cleaner_app.py"]